Subject: Re: linux-next: manual merge of the usb tree with the usb.current tree

From: Greg KH <[email-masked]>
Date: Fri, 12 Apr 2024 09:58:52 +0200

On Fri, Apr 12, 2024 at 02:25:47PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the usb tree got a conflict in:
> 
>   drivers/usb/misc/onboard_usb_hub.c
> 
> between commit:
> 
>   34b990e9bb54 ("usb: misc: onboard_usb_hub: Disable the USB hub clock on failure")
> 
> from the usb.current tree and commit:
> 
>   31e7f6c015d9 ("usb: misc: onboard_hub: rename to onboard_dev")
> 
> from the usb tree.
> 
> I fixed it up (I deleted this file and applied the following patch) and
> can carry the fix as necessary. This is now fixed as far as linux-next
> is concerned, but any non trivial conflicts should be mentioned to your
> upstream maintainer when your tree is submitted for merging.  You may
> also want to consider cooperating with the maintainer of the conflicting
> tree to minimise any particularly complex conflicts.

Thanks, I knew this would happen, I'll apply your fixup when merging the
two branches together.

greg k-h